## org.eclipse.emf.cdo.server.hibernate
Interface IHibernateMappingProvider

    public interface IHibernateMappingProvider

A mappingprovider adds a hibernate mapping to a hibernate configuration object.

Nested Class Summary
`static interface` `IHibernateMappingProvider.Factory`

Method Summary
`void` `addMapping(org.hibernate.cfg.Configuration configuration)` Adds a mapping to a configuration object
`void` `setHibernateStore(IHibernateStore hibernateStore)` Sets the Store in the mapping provider, is called before addMapping.

Method Detail

### addMapping

    void addMapping(org.hibernate.cfg.Configuration configuration)

  Adds a mapping to a configuration object

### setHibernateStore

    void setHibernateStore(IHibernateStore hibernateStore)

  Sets the Store in the mapping provider, is called before addMapping.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.